Package oracle.jdbc.datasource

## Interface OracleConnectionPoolDataSource

All Superinterfaces:
  `CommonDataSource`, `ConnectionPoolDataSource`, `OracleCommonDataSource`

All Known Subinterfaces:
  `OracleConnectionPoolDataSource`, `OracleXADataSource`

All Known Implementing Classes:
  `oracle.jdbc.datasource.impl.OracleConnectionPoolDataSource`, `OracleConnectionPoolDataSource`, `OracleConnectionPoolDataSourceImpl`, `OracleXADataSource`, `OracleXADataSource`, `OracleXADataSourceImpl`

    public interface OracleConnectionPoolDataSource
    extends ConnectionPoolDataSource, OracleCommonDataSource

This interface defines the Oracle extensions to the standard JDBC interface `ConnectionPoolDataSource`.

Since:
  12.2

### Method Summary

All Methods Instance Methods Abstract Methods
`OraclePooledConnectionBuilder` `createPooledConnectionBuilder()` Creates a new `OraclePooledConnectionBuilder` instance

### Methods inherited from interface javax.sql.CommonDataSource

`getParentLogger`

### Methods inherited from interface javax.sql.ConnectionPoolDataSource

`getLoginTimeout, getLogWriter, getPooledConnection, getPooledConnection, setLoginTimeout, setLogWriter`

### Methods inherited from interface oracle.jdbc.datasource.OracleCommonDataSource

`createShardingKeyBuilder, getConnectionProperties, getConnectionProperty, getDatabaseName, getDataSourceName, getDescription, getExplicitCachingEnabled, getImplicitCachingEnabled, getMaxStatements, getNetworkProtocol, getPortNumber, getRoleName, getServerName, getURL, getUser, setConnectionProperties, setConnectionProperty, setDatabaseName, setDataSourceName, setDescription, setExplicitCachingEnabled, setImplicitCachingEnabled, setMaxStatements, setNetworkProtocol, setPassword, setPortNumber, setRoleName, setServerName, setSingleShardTransactionSupport, setSSLContext, setURL, setUser`

### Method Detail

#### createPooledConnectionBuilder

    OraclePooledConnectionBuilder createPooledConnectionBuilder()
                                                         throws SQLException

Creates a new `OraclePooledConnectionBuilder` instance

Specified by:
  `createPooledConnectionBuilder` in interface `ConnectionPoolDataSource`
Returns:
  The `OraclePooledConnectionBuilder` instance that was created
Throws:
  `SQLException` - if an error occurs while creating the builder